package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.enums.BizTypeEnum;
import com.zm.order.tool.server.enums.DocTypeEnum;


/**
 * @Description 状态
 * @Author: ph
 * @Date: 2019/11/5 17:32
 */
public class Status {

    /**
     * 状态
     */
    private Integer status;

    /**
     * 业务类型
     *
     * @see BizTypeEnum
     */
    private Integer bizType;

    /**
     * 单据类型
     *
     * @see DocTypeEnum
     */
    private Integer docType;

    /**
     * status对应的key
     *
     * @return
     */
    public String key() {
        return this.bizType + ":" + this.docType + ":" + status;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getDocType() {
        return docType;
    }

    public void setDocType(Integer docType) {
        this.docType = docType;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
